import React from "react";
import ClickMarkerMap from "./click-marker-map.component";
import RoundTimer from "./round-timer.component";

export default ({
  roundSeconds,
  onTimeout,
  onSelectPoint,
  onSubmitGuess,
  submitDisabled,
}) => (
  <div
    style={{
      height: "100%",
      flex: 1,
      display: "flex",
      flexDirection: "column",
      justifyContent:"space-around",
    }}
  >
    <div style={{ display: "flex", justifyContent: "center", alignItems: "center", flex: 1 }}>
      <RoundTimer seconds={roundSeconds} onTimeout={onTimeout}/>
    </div>
    <div style={{ height: "100%", margin: "5px", flex: 6 }}>
      <ClickMarkerMap onMarkerMoved={onSelectPoint} />
    </div>
    <button
      style={{ margin: "5px", flex: 1 }}
      onClick={onSubmitGuess}
      disabled={submitDisabled}
    >
      Submit Guess
    </button>
  </div>
);
